Subject: CAP (3.1 BEEP)

From: Doug Royer <[email-masked]>
Date: Tue, 08 Jan 2002 14:50:22 -0700

3.1 BEEP Exchange Styles

>  [BEEP] defines three styles of message exchange:
>
>    MSG/ANS,ANS,...,NUL: for one-to-many exchanges.
>
>    MSG/RPY: for one-to-one exchanges.
>
>    MSG/ERR: for requests the cannot be processed due to an error.

A little confusing to me, why not just quote BEEP:

	"2.1.1 Exchange Styles

         BEEP allows three styles of exchange:

        MSG/RPY: the client sends a "MSG" message asking the
        server to perform some task, the server performs the task
        and replies with a "RPY" message (termed a positive reply).

        MSG/ERR: the client sends a "MSG" message, the server does
        not perform any task and replies with an "ERR" message (termed
        a negative reply).

        MSG/ANS: the client sends a "MSG" message, the server,
        during the course of performing some task, replies with
        zero or more "ANS" messages, and, upon completion of the
        task, sends a "NUL" message, which signifies the end of
        the reply."

>  A CAP request, targeted at more than one containers, MUST use a one-
>  to-many exchange, with a distinct answer associated with each target.
>  CAP request targeted at a single container MAY use a one-to-one
>  exchange or a one-to-many exchange.  "MSG/ERR" MAY only be used when
>  an error condition prevents the execution of the request on all the
>  targeted calendars.

It starts off with "A CAP request", however it is a "CS REPLY" true?

So should it say? :

   When a CUA has targeted more than one container, the CS MUST
   use a one-to-many exchange when replying, with ...

(I am still learning BEEP, but I don't think that the initiator
 side of the BEEP protocol can necessarily tell if it is going
 to get more than one answer. The CUA will know, but the BEEP
 protocol must be able to handle one-to-one or one-to-many
 at any time. Or am I just nit-picking?)